# Retrieve entities using a search query

Lists entities that match the criteria. This endpoint supports sorted pagination using the `search-after` property.

Endpoint: GET /api/entities/searchAfter
Version: v1.0
Security: OAuth2.0

## Security:

  - `OAuth2.0` (unknown)
    oauth2

## Query parameters:

  - `query` (string, required)
    The search query, for example, `Definition.Name == 'M.Asset'`.

  - `take` (integer)
    Number of entities to retrieve, for example, `25`. The maximum is 100.

  - `members` (string)
    Comma-separated list of members to retrieve, for example, `Title,Filename`.

  - `renditions` (string)
    Comma-separated list of renditions to retrieve, for example, `Preview,Thumbnail`.

  - `culture` (object)
    The culture code of the user, for example, `en-US`.

  - `sort` (string)
    Sort field, for example, `created_on`.

  - `order` (string)
    Sort order, for example, `desc`.

  - `sortCulture` (object)
    Used for sorting operations, affecting the order of strings based on language-specific rules, for example, `en-US`.

  - `searchAfter` (array)
    To retrieve the next page of results using a set of sort values from the previous results. For example, if you make a request and receive 100 results, ending with `entity_id_1`, your subsequent query can include `search_after=entity_id_1` to fetch the next page.

  - `nestedRelations` (array)
    Nested relations to retrieve, for example, `Children,Parent`.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `last_hit_data` (array)
    The last returned hits, which are used to fetch the next page of results.

  - `items` (array)
    Gets or sets the list of items.

  - `items.id` (integer)
    The ID for the entity, for example `39752`.

  - `items.identifier` (string)
    The identifier for the entity.

  - `items.cultures` (array)
    The cultures associated with the entity, for example `en-US`.

  - `items.properties` (object)
    The properties of the entity.

  - `items.relations` (object)
    The relations of the entity.

  - `items.created_by` (object)
    Represents a link to a resource.

  - `items.created_by.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.created_by.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.created_by.title` (string)
    Gets or sets the title that describes this link.

  - `items.created_by.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.created_on` (string)
    The date and time when the entity was created.

  - `items.modified_on` (string)
    The date and time when the entity was last modified.

  - `items.locked_on` (string)
    The date and time when the entity was locked.

  - `items.requested_permissions` (object)
    The requested permissions with identification if a certain user has the permissions.

  - `items.is_root_taxonomy_item` (boolean)
    Gets or sets a value indicating whether the entity is a root taxonomy item.

  - `items.is_path_root` (boolean)
    Gets or sets a value indicating whether the entity is a path root.

  - `items.inherits_security` (boolean)
    Gets or sets a value indicating whether the entity inherits security.

  - `items.is_system_owned` (boolean)
    Gets or sets a value indicating whether the entity is system owned.

  - `items.version` (integer)
    The version of the entity.

  - `items.modules` (array)
    The modules associated with the entity.

  - `total_items` (integer)
    Gets or sets the total number of items.

  - `returned_items` (integer)
    Gets or sets the number of returned items.

  - `offset` (integer)
    Gets or sets the offset of the items.

  - `identifier` (string)
    Gets or sets the identifier of the resource.

## Response 400:

  - `400` (unknown)
    Request not valid

## Response 401:

  - `401` (unknown)
    Unauthorized request or invalid access token

